Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Package file size mis match

  1. #1
    Default Package file size mis match
    hey,

    well ive had 3.08b or whatever but yesterday i had to restore my iphone (1.0.2) everything works well. so i install installer 2.63 and i try to update it to 3.08b but it says "Error: package file size mismatch" what can i do? i mean how is this possible since i had 3.08b before i restored. i have restored my iphone almost 3 times trying to see if it would work but it didnt. can i install it manually? if so where can i find the file? and since i dont have ssh i cant use winscp so i have to use iphonebrowser.

  2. #2
    Quote Originally Posted by harrisont View Post
    hey,

    well ive had 3.08b or whatever but yesterday i had to restore my iphone (1.0.2) everything works well. so i install installer 2.63 and i try to update it to 3.08b but it says "Error: package file size mismatch" what can i do? i mean how is this possible since i had 3.08b before i restored. i have restored my iphone almost 3 times trying to see if it would work but it didnt. can i install it manually? if so where can i find the file? and since i dont have ssh i cant use winscp so i have to use iphonebrowser.
    Harrison, this also happened to me. After hours of trawling the net and deleting and reinstalling V2.63 (I don't know how to restore yet), I fixed it. The problem is the file LocalPackages.plist thinks it already has V3.0b installed. How I fixed it was I copied the file onto my computer using iBrickr (great program) and then opened it using an xml editor (I used XML Spear, its free). Once its open if you click on the Source Tab (bottom of the window) you will see it says <string>3.0b8</string>, it should say <string>2.63</string>, so just change it to that and save the file. Once saved, upload it back to the phone. The file sits in var/root/installer from memory. Its pretty easy if you take your time.

    When I did it the phone responded straight away (you might have to switch off and on again) and then updated to V3.0b9 which is the installer on FW 1.1.2. Don't forget to reload the sources and if you install the Community Sources and MTL Repository, you will have more apps than you know what to do with.

    Good Luck
    Rob

  3. #3
    Quote Originally Posted by Aussoarer View Post
    Harrison, this also happened to me. After hours of trawling the net and deleting and reinstalling V2.63 (I don't know how to restore yet), I fixed it. The problem is the file LocalPackages.plist thinks it already has V3.0b installed. How I fixed it was I copied the file onto my computer using iBrickr (great program) and then opened it using an xml editor (I used XML Spear, its free). Once its open if you click on the Source Tab (bottom of the window) you will see it says <string>3.0b8</string>, it should say <string>2.63</string>, so just change it to that and save the file. Once saved, upload it back to the phone. The file sits in var/root/installer from memory.
    Hi Aussoarer, how do you copy the installer files onto the pc and open it with the XML spear ? Thank you.

  4. #4
    If you have iBrickr on your computer (Windows), connect your phone and you will see one of the choices in the menu is Files. If you click on it you will have access to the iPhones file system and they are shown on the dummy iPhone on the screen.

    Just start navigating to where the desired file lives. In this case go to VAR (its the bottom entry), then ROOT, then LIBRARY (I think), then INSTALLER. In the Installer folder you will find the LocalPackages.plist. If you click on it, iBrickr will give you the option to Download or Delete the file (left side of screen). Click on Download and a dialogue box will come up so you can put it where you want on your PC. It only copies it so it has not been deleted.

    Go to where you downloaded it with Explorer and you will notice the pc thinks its a Quick time file or something like that, ignore it. Just right click the file and use OPEN WITH, if you have XML Spear click on OPEN WITH XML SPEAR.

    Make the amendment as per my previous post and click on save.

    Go back to iBrickr and click on the file in the iPhone again and this time delete it (you can probably copy over the top, but I didn't do that). Once that is done, you will notice above the Download and Delete options in iBrickr, a button that says UPLOAD FILE. Click on it and in the dialoge box, navigate to where the file is on the pc. upload to the INSTALLER directory on the iPhone. Disconnect your iPhone and click on installer.

    If you have done it right it will go straight to update and when you do it, it will update to 3.0b9 instead of 3.0b8, which is fine (you even get a new icon on the Springboard).

    Sorry for the long post, but I hope it helps.

  5. #5
    Thanks for your detailed explaination, Aussoarer. Yes I have the ibrickr which I have used to delete files from my fone but I don't seem to be able to download/ upload files. Everytime I do that I get an error report. Do I have to 'free' the phone 1st ? My ifone has already been unlocked. Thanks.

  6. #6
    Oh, I have not had any trouble with iBrickr so I am not sure about 'freeing' the phone. Are you on the new version (0.91)? If you aren't, you could give that a try, but as I said I have not had any problems uploading or downloading from either version of iBrickr.

    Sorry I can't be of more help.

  7. #7
    I used the XML Spear Java editor V2.43. Is this the right one ? Thanks

  8. #8
    Quote Originally Posted by harrisont View Post
    hey,

    well ive had 3.08b or whatever but yesterday i had to restore my iphone (1.0.2) everything works well. so i install installer 2.63 and i try to update it to 3.08b but it says "Error: package file size mismatch" what can i do? i mean how is this possible since i had 3.08b before i restored. i have restored my iphone almost 3 times trying to see if it would work but it didnt. can i install it manually? if so where can i find the file? and since i dont have ssh i cant use winscp so i have to use iphonebrowser.
    Originally Posted by claraby5b View Post
    help is finally here!!! I was just about to give up when I found this simple solution:

    open safari on your iphone. go to http://repository.apptapp.com

    add the installer source.
    now run the installer and refresh sources
    you should see the latest installer 3.0B10.
    Install it.

    Note: you have an old installer and you will the the "update" choice. If you try that, it will fail. Just install 3.0B10 on top which can be found in the install section under all package.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •